complexType "OptionBaseExtended"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 21 elements
Abstract: | (cannot be assigned directly to elements used in instance XML documents)
Defined: | globally in fpml-option-shared-5-3.xsd; see XML source
Includes: | definitions of 6 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | productType*, productId*, assetClass*, buyerPartyReference?, buyerAccountReference?, sellerPartyReference?, sellerAccountReference?, optionType?, premium?, exercise?, exerciseProcedure?, feature?, (notionalReference? | notionalAmount?)?, (optionEntitlement?, entitlementCurrency?, numberOfOptions?)?, settlementType?, settlementDate?, (settlementAmount? | settlementCurrency?)?
</...>

Content Model Elements (21):

  assetClass (defined in Product.model group),
  buyerAccountReference,
  buyerPartyReference (defined in BuyerSeller.model group),
  entitlementCurrency,
  exercise,
  exerciseProcedure (defined in OptionBaseExtended complexType),
  feature (defined in OptionBaseExtended complexType),
  notionalAmount (defined in OptionBaseExtended complexType),
  notionalReference (defined in OptionBaseExtended complexType),
  numberOfOptions (defined in OptionDenomination.model group),
  optionEntitlement (defined in OptionDenomination.model group),
  optionType (defined in OptionBase complexType),
  premium (defined in OptionBaseExtended complexType),
  productId (defined in Product.model group),
  productType (defined in Product.model group),
  sellerAccountReference,
  sellerPartyReference (defined in BuyerSeller.model group),
  settlementAmount (defined in SettlementAmountOrCurrency.model group),
  settlementCurrency (defined in SettlementAmountOrCurrency.model group),
  settlementDate (defined in OptionSettlement.model group),
  settlementType (defined in OptionSettlement.model group)

Known Direct Subtypes (2):

  BondOption, CreditDefaultSwapOption

All Direct / Indirect Based Elements (2):

  bondOption, creditDefaultSwapOption

Known Usage Locations

- In derivations of other global types (2):

  BondOption (as extension base), | CreditDefaultSwapOption (as extension base)

Annotation
Base type for options starting with the 4-3 release, until we refactor the schema as part of the 5-0 release series.
Type Definition Detail

Type Derivation Tree Product (extension) Option (extension) OptionBase (extension) OptionBaseExtended

XML Source (w/o annotations (5); see within schema source)

<xsd:complexType abstract="true" name="OptionBaseExtended"> <xsd:complexContent> <xsd:extension base="OptionBase"> <xsd:sequence> <xsd:element minOccurs="0" name="premium" type="Premium"/> <xsd:element minOccurs="0" ref="exercise"/> <xsd:element minOccurs="0" name="exerciseProcedure" type="ExerciseProcedure"/> <xsd:element minOccurs="0" name="feature" type="OptionFeature"/> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="notionalReference" type="NotionalAmountReference"/> <xsd:element minOccurs="0" name="notionalAmount" type="Money"/> </xsd:choice> <xsd:group minOccurs="0" ref="OptionDenomination.model"/> <xsd:group ref="OptionSettlement.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 6/21)
exercise

  Type: | Exercise, empty content
  Abstract: | (may not be used directly in instance XML documents)
  Subst.Gr: | may be substituted with 3 elements

  XML Source (see within schema source)

  <xsd:element minOccurs="0" ref="exercise"/>

exerciseProcedure

  Type: | ExerciseProcedure, complex content

  A set of parameters defining procedures associated with the exercise.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="exerciseProcedure" type="ExerciseProcedure"/>

feature

  Type: | OptionFeature, complex content

  An Option feature such as quanto, asian, barrier, knock.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="feature" type="OptionFeature"/>

notionalAmount

  Type: | Money, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="notionalAmount" type="Money"/>

notionalReference

  Type: | NotionalAmountReference, empty content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="notionalReference" type="NotionalAmountReference"/>

premium

  Type: | Premium, complex content

  The option premium payable by the buyer to the seller.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="premium" type="Premium"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.